using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using System.Xml.Linq;
using ServiceData.Simple;

namespace ServiceWeb
{
    public class Global : System.Web.HttpApplication
    {

        protected void Application_Start(object sender, EventArgs e)
        {

        }

        protected void Session_Start(object sender, EventArgs e)
        {
            Customer customer;
            customer = new Customer();
            customer.CustomerId = 1;
            customer.FirstName = "Tommy";
            customer.LastName = "Jones";
            customer.Address = "1244 Mountain View Rd.";
            customer.City = "San Diego";
            customer.State = "CA";
            customer.Zip = "92008";
            Session.Add(customer.CustomerId.ToString(), customer);

            customer = new Customer();
            customer.CustomerId = 2;
            customer.FirstName = "Bill";
            customer.LastName = "Shoemaker";
            customer.Address = "17665 Ocean Blvd.";
            customer.City = "San Diego";
            customer.State = "CA";
            customer.Zip = "92008";
            Session.Add(customer.CustomerId.ToString(), customer);


            customer = new Customer();
            customer.CustomerId = 3;
            customer.FirstName = "Larry";
            customer.LastName = "Baker";
            customer.Address = "143 Dead End Rd.";
            customer.City = "San Diego";
            customer.State = "CA";
            customer.Zip = "92008";
            Session.Add(customer.CustomerId.ToString(), customer);

            customer = new Customer();
            customer.CustomerId = 4;
            customer.FirstName = "Mike";
            customer.LastName = "Sessions";
            customer.Address = "76554 Millcreek Rd.";
            customer.City = "San Diego";
            customer.State = "CA";
            customer.Zip = "92008";
            Session.Add(customer.CustomerId.ToString(), customer);

        }

        protected void Application_BeginRequest(object sender, EventArgs e)
        {

        }

        protected void Application_AuthenticateRequest(object sender, EventArgs e)
        {

        }

        protected void Application_Error(object sender, EventArgs e)
        {

        }

        protected void Session_End(object sender, EventArgs e)
        {

        }

        protected void Application_End(object sender, EventArgs e)
        {

        }
    }
}